require "licence_plate_parser/version"
require "json"

module LicencePlateParser
  class Error < StandardError; end
  class Plate
    def self.parse(plate)
      plates = JSON.parse(File.read('lib/plate_list.json'))
      city = plates.select{ |p| p['plaka'] == plate.to_i }

      city.any? ? city.first['il'] : 'Bilmiyorum'
    end
  end
end
